import request from '@/utils/request'

// 查询设备完整性工业炉台账列表
export function listGyl(query) {
  return request({
    url: '/intact/gyl/list',
    method: 'get',
    params: query
  })
}

// 查询设备完整性工业炉台账详细
export function getGyl(id) {
  return request({
    url: '/intact/gyl/' + id,
    method: 'get'
  })
}

// 新增设备完整性工业炉台账
export function addGyl(data) {
  return request({
    url: '/intact/gyl',
    method: 'post',
    data: data
  })
}

// 修改设备完整性工业炉台账
export function updateGyl(data) {
  return request({
    url: '/intact/gyl',
    method: 'put',
    data: data
  })
}

// 删除设备完整性工业炉台账
export function delGyl(id) {
  return request({
    url: '/intact/gyl/' + id,
    method: 'delete'
  })
}

// 导出设备完整性工业炉台账
export function exportGyl(query) {
  return request({
    url: '/intact/gyl/export',
    method: 'get',
    params: query
  })
}